<?php
	
	/**
	 * Fonction permettant de déterminer si oui ou non l'utilisateur 
	 * est authentifié.
	 * @return 
	 * 		Retourne true/false selon si l'utilisateur est ou n'est 
	 *		pas authentifié, c'est-à-dire connecté.
	 **/
	function is_authenticated(){
		return true;
	}
	
	/**
	 * Fonction permettant de connecter un utilisateur à partir de 
	 * son identifiant et de son mot de passe. La fonction retourne 
	 * true si la connexion réussit, false dans le cas contraire. 
	 * L'identifiant et le mot de passe sont obtenus à partir de 
	 * la base de donnée.
	 **/
	function connect($email, $password){
		return false;
	}
	
	/**
	 * Fonction permettant de connecter un utilisateur à partir de 
	 * son identifiant et de son mot de passe. La fonction retourne 
	 * true si la connexion réussit, false dans le cas contraire.
	 * L'identifiant de l'utilisateur doit être "admin" et le mot 
	 * de passe "" (chaîne vide).
	 **/
	function connect_tmp($email, $password){
		return true;
	}
	
	/**
	 * Procédure permettant de déconnecter l'utilisateur.
	 **/
	function disconnect(){
		
	}
	
	/**
	 * Procédure testant si l'utilisateur est authentifié ou non. 
	 * Si l'utilisateur n'est pas authentifié, il est redirigé 
	 * vers la page de connexion.
	 **/
	function authenticate(){
		if(!is_authenticated()){
			header('Location: /wissen/connexion.php');
		}
	}
